void turtleCircle(float rad, float degrees) {
  /*Centered Circle: Write a turtle-based procedure that takes a radius
   as an input and uses a turtle to draw a circle of the given radius,
   centered at the turtle’s current position.
   The turtle should return to its original position, the center of the circle,
   at the end of the procedure. The only element drawn on the screen should be the circle.
   */

  float ranRad = random(rad/2, rad*1.5);
  float circ = 2*ranRad*PI;
  float step = circ/360;
  int current=1;
  strokeWeight(20);
  stroke(ranCol[0][0]);
  t.setX(mouseX);
  t.setY(mouseY);
  
  if (drawOnce==true) {
    t.penUp();
    t.forward(rad);
    t.right(90);
    t.penDown();
    while (current%degrees>0) {
      t.right(1);
      t.forward(step);
      current++;
    }
    drawOnce=false;
  }
}

void mouseCircle(){
  fill(ranCol[4][4], 50);
  noStroke();
  rect(0, 0, width, height);
}
