void drawFlower() {
  if (drawOnce==true) {
    t.setX(width/2);
    t.setY(height/2);
    
    background(ranCol[4][4]);
    //back flower
    strokeWeight(10);
    stroke(ranCol[0][0], 50);
    flower(flowerSize, numPetals);
    strokeWeight(3);
    stroke(ranCol[1][1], 200);
    flower(flowerSize, numPetals);

    pushMatrix();
    translate(width/2, height/2);
    fill(ranCol[2][2]);
    ellipse(0, 0, flowerSize/2, flowerSize/2);
    popMatrix();

    //front flower
    strokeWeight(5);
    stroke(ranCol[0][0], 50);
    flower(flowerSize/2, numPetals);
    strokeWeight(2);
    stroke(ranCol[1][1], 200);
    flower(flowerSize/2, numPetals);

    pushMatrix();
    translate(width/2, height/2);
    fill(ranCol[2][2]);
    ellipse(0, 0, flowerSize/4, flowerSize/4);
    popMatrix();
    drawOnce=false;
  }
}

void flower(float petalLength, int _numPetals) {
  for (int i=0; i<_numPetals; i++) {
    petal(petalLength, _numPetals);
  }
}

void petal(float petalLength, float _numPetals) {
  float angle = TWO_PI/_numPetals;
  float petalDiam = 2*(petalLength*sin(angle/2));
  t.forward(petalLength);
  t.right(degrees(angle/2)); 
  turtleFlowerCircle(round(petalDiam/2), 180);
  t.right(degrees(angle/2));
  t.forward(petalLength);
  t.right(180);
}

void turtleFlowerCircle(float rad, float degrees) {
  float circ = 2*rad*PI;
  float step = circ/360;

  for (int i=0; i<degrees; i++) {
    t.right(1);
    t.forward(step);
    if (i==degrees/2) {
      float x1 = t.getX();
      float y1 = t.getY();
      //float dist = dist(x1,y1,x2,y2);
      fill(ranCol[3][3]);
      ellipse(x1, y1, flowerSize/10, flowerSize/10);
    }
  }
}

void flowerMousePressed() {
  background(ranCol[4][4]);
  flowerSize = random(200, 400);
  numPetals = int(random(2, 25));
}
