LSystem L;
int it  = 6;
float buffer=50;

void lsystemSetup() {
  L=new LSystem();
  L.iterate(it);
  //noLoop();
}

void drawLSystem() {
  L.drawLSystem(t);
}

class LSystem {
  String axiom, computedString;
  String [][] rules = {{"F", "F-FF--F-F"}};
  //String [][] rules = {{"F", "F-FF--F-F"}};
  //String [][] rules = {{"F", "F-F++F-F"}};
  int size;
  float angle;

  LSystem() {
    //rules = new String[1][2];
    axiom ="F-F-F-F";//was "F"
    computedString = axiom;
    size=11;
    angle =90;
  }

  void iterate(int generations) {
    //println(computedString);
    for (int i=0; i<generations; i++) {
      String newString =computedString;
      //computedString = newString.replaceAll("F", "G");
      //println(rules[0][0]);
      computedString = newString.replaceAll(rules[0][0], rules[0][1]);
      //println(computedString);
    }
    //println("iterate");
  }

  void drawLSystem(Turtle t) {
    if (drawOnce==true) {
      background(#3FBF0A);
      for (int i=0; i<computedString.length(); i++) {
        if (size<50) {
          buffer=50;
        } else {
          buffer=size;
        }
        if (t.getX()>buffer&&t.getX()<(width-buffer)&&t.getY()>buffer&&t.getY()<(height-buffer)) {
          strokeWeight(map(i, 0, computedString.length(), 10, 0.5));
          float mapStroke = map(i, 0, computedString.length(), 255, 0);
          stroke(mapStroke, mapStroke);
          switch(computedString.charAt(i)) {
          case 'F':
            t.forward(size);
            break;
          case '+':
            t.right(angle);
            break;
          case '-':
            t.left(angle);
            break;
          }
        } else {
          t.right(angle);
          t.right(angle);
          t.forward(size);
        }
      } 
      drawOnce=false;
    }
  }
}
