LSystem2 L2;
int s = 10;
float a = 90;
int xpos=0, ypos=0;
int c=0;

void lsystemSetup2() {
  L2=new LSystem2();
  L2.iterate(it);
  //noLoop();
}

void drawLSystem2() {
  if (drawOnce==true) {
    background(#3FBF0A);
    pushMatrix();
    translate(xpos, ypos);
    L2.drawLSystem2(t, s, a, c);
    popMatrix();
    drawOnce=false;
  }
}

class LSystem2 {
  String axiom, computedString;
  String [][] rules = {{"F", "F-FF--F-F"}};

  LSystem2() {
    axiom="F-F-F-F";
    computedString = axiom;
  }

  void iterate(int generations) {
    for (int i=0; i<generations; i++) {
      String newString =computedString;
      computedString = newString.replaceAll(rules[0][0], rules[0][1]);
    }
  }

  void drawLSystem2(Turtle t, int size, float angle, int counter) {
    buffer = 50;

    //do {
    for (int i=0; i<computedString.length(); i++) {
      if (t.getX()>buffer&&t.getX()<(width-buffer)&&t.getY()>buffer&&t.getY()<(height-buffer)) {
        switch(computedString.charAt(i)) {
        case 'F':
          size=5;
          t.forward(size);
          strokeWeight(0.5);
          stroke(255, 0, 0);
          break;
        case '+':
          size=7;
          t.right(angle);
          stroke(255, 255, 0);
          strokeWeight(2);
          break;
        case '-':
          size=3;
          t.left(angle);
          strokeWeight(1);
          stroke(0, 255, 255);
          break;
        }
      } else {
        int  pick =int(random(0, 2));
        if (pick==0) {
          size=9;
          stroke(0, 255, 0);
          t.right(angle);
          t.right(angle);
          t.forward(size);
        } else {
          size=11;
          stroke(222, 255, 255);
          t.left(angle);
          t.left(angle);
          t.forward(size);
        }
      }
    }
  }
}
